> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Session

> Return the current project-scoped app user and session expiry.



## OpenAPI

````yaml /openapi.json get /v1/apps/{projectId}/auth/session
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/apps/{projectId}/auth/session:
    get:
      tags:
        - appauth
      summary: Get Session
      description: Return the current project-scoped app user and session expiry.
      operationId: appauth.getSession
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project id (UUID) or globally unique project slug.
      responses:
        '200':
          description: Current app session.
          content:
            application/json:
              schema:
                type: object
                properties:
                  user:
                    type: object
                    properties:
                      id:
                        type: string
                      email:
                        type: string
                        format: email
                      emailVerified:
                        type: boolean
                      name:
                        type:
                          - string
                          - 'null'
                      image:
                        type:
                          - string
                          - 'null'
                      disabledAt:
                        type:
                          - string
                          - 'null'
                        format: date-time
                      createdAt:
                        type: string
                        format: date-time
                      lastSignInAt:
                        type:
                          - string
                          - 'null'
                        format: date-time
                      lastActiveAt:
                        type:
                          - string
                          - 'null'
                        format: date-time
                    required:
                      - id
                      - email
                      - emailVerified
                      - name
                      - image
                      - disabledAt
                      - createdAt
                      - lastSignInAt
                      - lastActiveAt
                  expiresAt:
                    type: string
                    format: date-time
                required:
                  - user
                  - expiresAt
        '401':
          description: Missing, expired, revoked, idle, disabled, or cross-project session.
      security:
        - appUser: []
components:
  securitySchemes:
    appUser:
      type: http
      scheme: bearer
      bearerFormat: korve_app_session

````